Subject: Re: Including .dll portions in binary?
From: [email-masked] (Ben Elliston)

26 Sep 1998 19:44:55 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: Lewis Beard <[email-masked]>
Cc: Gnu-Win32 Mailing List <[email-masked]>

> Is there a way, during the linking process or at some other time, to
> extract the portions of the cygwin32b19.dll (or whatever it is) and
> attach them into the binary I'm making. I ask because once I have a

In other words, you want to statically link the Cygwin library?

> binary, I don't want to have to install the cygnus stuff on my target
> box, and it seems that the .dll is big. Is there any way to make pure

Note that you only need the .DLL.  None of the other stuff, unless you use
it.  Is the DLL really that big, compared with some of the other DLLs
already on your system?  I don't think so.

Ben

---
Ben Elliston
[email-masked]

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".